/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Model188
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model188 {
  @SerializedName("policy_number")
  private String policyNumber = null;

  @SerializedName("external_policy_number")
  private String externalPolicyNumber = null;

  @SerializedName("status")
  private Status status = null;

  @SerializedName("subscription_country")
  private String subscriptionCountry = null;

  @SerializedName("policy_id")
  private String policyId = null;

  @SerializedName("draft_policy_number")
  private String draftPolicyNumber = null;

  @SerializedName("quote_code")
  private String quoteCode = null;

  @SerializedName("price")
  private PolicyPrice price = null;

  @SerializedName("addons")
  private Addons addons = null;

  @SerializedName("policy_holder")
  private Model183 policyHolder = null;

  @SerializedName("beneficiaries")
  private Model185 beneficiaries = null;

  @SerializedName("consents")
  private Model161 consents = null;

  @SerializedName("payment_technical_information")
  private PaymentTechnicalInformation paymentTechnicalInformation = null;

  @SerializedName("payment")
  private Model186 payment = null;

  @SerializedName("attachments")
  private Model164 attachments = null;

  public Model188 policyNumber(String policyNumber) {
    this.policyNumber = policyNumber;
    return this;
  }

   /**
   * Final policy number.
   * @return policyNumber
  **/
  @ApiModelProperty(required = true, value = "Final policy number.")
  public String getPolicyNumber() {
    return policyNumber;
  }

  public void setPolicyNumber(String policyNumber) {
    this.policyNumber = policyNumber;
  }

  public Model188 externalPolicyNumber(String externalPolicyNumber) {
    this.externalPolicyNumber = externalPolicyNumber;
    return this;
  }

   /**
   * External policy identifier that can be provided by the partner.
   * @return externalPolicyNumber
  **/
  @ApiModelProperty(value = "External policy identifier that can be provided by the partner.")
  public String getExternalPolicyNumber() {
    return externalPolicyNumber;
  }

  public void setExternalPolicyNumber(String externalPolicyNumber) {
    this.externalPolicyNumber = externalPolicyNumber;
  }

  public Model188 status(Status status) {
    this.status = status;
    return this;
  }

   /**
   * Get status
   * @return status
  **/
  @ApiModelProperty(required = true, value = "")
  public Status getStatus() {
    return status;
  }

  public void setStatus(Status status) {
    this.status = status;
  }

  public Model188 subscriptionCountry(String subscriptionCountry) {
    this.subscriptionCountry = subscriptionCountry;
    return this;
  }

   /**
   * Country where the customer subscribes the policy, ISO-3166-1 alpha-2 format (2 letter codes).
   * @return subscriptionCountry
  **/
  @ApiModelProperty(example = "fr", value = "Country where the customer subscribes the policy, ISO-3166-1 alpha-2 format (2 letter codes).")
  public String getSubscriptionCountry() {
    return subscriptionCountry;
  }

  public void setSubscriptionCountry(String subscriptionCountry) {
    this.subscriptionCountry = subscriptionCountry;
  }

  public Model188 policyId(String policyId) {
    this.policyId = policyId;
    return this;
  }

   /**
   * Unique final policy identifier.
   * @return policyId
  **/
  @ApiModelProperty(required = true, value = "Unique final policy identifier.")
  public String getPolicyId() {
    return policyId;
  }

  public void setPolicyId(String policyId) {
    this.policyId = policyId;
  }

  public Model188 draftPolicyNumber(String draftPolicyNumber) {
    this.draftPolicyNumber = draftPolicyNumber;
    return this;
  }

   /**
   * Draft policy number, provided in case if the policy is not confirmed.
   * @return draftPolicyNumber
  **/
  @ApiModelProperty(required = true, value = "Draft policy number, provided in case if the policy is not confirmed.")
  public String getDraftPolicyNumber() {
    return draftPolicyNumber;
  }

  public void setDraftPolicyNumber(String draftPolicyNumber) {
    this.draftPolicyNumber = draftPolicyNumber;
  }

  public Model188 quoteCode(String quoteCode) {
    this.quoteCode = quoteCode;
    return this;
  }

   /**
   * Quote code, partner can use a default value if provided by AXA or got it with quoting API.
   * @return quoteCode
  **/
  @ApiModelProperty(example = "d41d8cd98f00b204e9800998ecf8427e", required = true, value = "Quote code, partner can use a default value if provided by AXA or got it with quoting API.")
  public String getQuoteCode() {
    return quoteCode;
  }

  public void setQuoteCode(String quoteCode) {
    this.quoteCode = quoteCode;
  }

  public Model188 price(PolicyPrice price) {
    this.price = price;
    return this;
  }

   /**
   * Get price
   * @return price
  **/
  @ApiModelProperty(value = "")
  public PolicyPrice getPrice() {
    return price;
  }

  public void setPrice(PolicyPrice price) {
    this.price = price;
  }

  public Model188 addons(Addons addons) {
    this.addons = addons;
    return this;
  }

   /**
   * Get addons
   * @return addons
  **/
  @ApiModelProperty(value = "")
  public Addons getAddons() {
    return addons;
  }

  public void setAddons(Addons addons) {
    this.addons = addons;
  }

  public Model188 policyHolder(Model183 policyHolder) {
    this.policyHolder = policyHolder;
    return this;
  }

   /**
   * Get policyHolder
   * @return policyHolder
  **/
  @ApiModelProperty(value = "")
  public Model183 getPolicyHolder() {
    return policyHolder;
  }

  public void setPolicyHolder(Model183 policyHolder) {
    this.policyHolder = policyHolder;
  }

  public Model188 beneficiaries(Model185 beneficiaries) {
    this.beneficiaries = beneficiaries;
    return this;
  }

   /**
   * Get beneficiaries
   * @return beneficiaries
  **/
  @ApiModelProperty(value = "")
  public Model185 getBeneficiaries() {
    return beneficiaries;
  }

  public void setBeneficiaries(Model185 beneficiaries) {
    this.beneficiaries = beneficiaries;
  }

  public Model188 consents(Model161 consents) {
    this.consents = consents;
    return this;
  }

   /**
   * Get consents
   * @return consents
  **/
  @ApiModelProperty(value = "")
  public Model161 getConsents() {
    return consents;
  }

  public void setConsents(Model161 consents) {
    this.consents = consents;
  }

  public Model188 paymentTechnicalInformation(PaymentTechnicalInformation paymentTechnicalInformation) {
    this.paymentTechnicalInformation = paymentTechnicalInformation;
    return this;
  }

   /**
   * Get paymentTechnicalInformation
   * @return paymentTechnicalInformation
  **/
  @ApiModelProperty(required = true, value = "")
  public PaymentTechnicalInformation getPaymentTechnicalInformation() {
    return paymentTechnicalInformation;
  }

  public void setPaymentTechnicalInformation(PaymentTechnicalInformation paymentTechnicalInformation) {
    this.paymentTechnicalInformation = paymentTechnicalInformation;
  }

  public Model188 payment(Model186 payment) {
    this.payment = payment;
    return this;
  }

   /**
   * Get payment
   * @return payment
  **/
  @ApiModelProperty(value = "")
  public Model186 getPayment() {
    return payment;
  }

  public void setPayment(Model186 payment) {
    this.payment = payment;
  }

  public Model188 attachments(Model164 attachments) {
    this.attachments = attachments;
    return this;
  }

   /**
   * Get attachments
   * @return attachments
  **/
  @ApiModelProperty(required = true, value = "")
  public Model164 getAttachments() {
    return attachments;
  }

  public void setAttachments(Model164 attachments) {
    this.attachments = attachments;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model188 model188 = (Model188) o;
    return Objects.equals(this.policyNumber, model188.policyNumber) &&
        Objects.equals(this.externalPolicyNumber, model188.externalPolicyNumber) &&
        Objects.equals(this.status, model188.status) &&
        Objects.equals(this.subscriptionCountry, model188.subscriptionCountry) &&
        Objects.equals(this.policyId, model188.policyId) &&
        Objects.equals(this.draftPolicyNumber, model188.draftPolicyNumber) &&
        Objects.equals(this.quoteCode, model188.quoteCode) &&
        Objects.equals(this.price, model188.price) &&
        Objects.equals(this.addons, model188.addons) &&
        Objects.equals(this.policyHolder, model188.policyHolder) &&
        Objects.equals(this.beneficiaries, model188.beneficiaries) &&
        Objects.equals(this.consents, model188.consents) &&
        Objects.equals(this.paymentTechnicalInformation, model188.paymentTechnicalInformation) &&
        Objects.equals(this.payment, model188.payment) &&
        Objects.equals(this.attachments, model188.attachments);
  }

  @Override
  public int hashCode() {
    return Objects.hash(policyNumber, externalPolicyNumber, status, subscriptionCountry, policyId, draftPolicyNumber, quoteCode, price, addons, policyHolder, beneficiaries, consents, paymentTechnicalInformation, payment, attachments);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model188 {\n");
    
    sb.append("    policyNumber: ").append(toIndentedString(policyNumber)).append("\n");
    sb.append("    externalPolicyNumber: ").append(toIndentedString(externalPolicyNumber)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    subscriptionCountry: ").append(toIndentedString(subscriptionCountry)).append("\n");
    sb.append("    policyId: ").append(toIndentedString(policyId)).append("\n");
    sb.append("    draftPolicyNumber: ").append(toIndentedString(draftPolicyNumber)).append("\n");
    sb.append("    quoteCode: ").append(toIndentedString(quoteCode)).append("\n");
    sb.append("    price: ").append(toIndentedString(price)).append("\n");
    sb.append("    addons: ").append(toIndentedString(addons)).append("\n");
    sb.append("    policyHolder: ").append(toIndentedString(policyHolder)).append("\n");
    sb.append("    beneficiaries: ").append(toIndentedString(beneficiaries)).append("\n");
    sb.append("    consents: ").append(toIndentedString(consents)).append("\n");
    sb.append("    paymentTechnicalInformation: ").append(toIndentedString(paymentTechnicalInformation)).append("\n");
    sb.append("    payment: ").append(toIndentedString(payment)).append("\n");
    sb.append("    attachments: ").append(toIndentedString(attachments)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

